Package be.ehealth.businessconnector.mycarenet.memberdatav2.builders.regional

# Class IrisCareNetRequestObjectBuilderFactory

java.lang.Object
be.ehealth.businessconnector.mycarenet.memberdatav2.builders.regional.IrisCareNetRequestObjectBuilderFactory

public final class IrisCareNetRequestObjectBuilderFactory extends Object
Factory for all Builders that are necessary to create a request for MemberData IrisCareNet Sync. Creates a `RequestObjectBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestObjectBuilder`
  `getEncryptedRequestObjectBuilder()`
  Retrieve an instance of a `IrisCareNetEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property "iriscarenet.encryptedrequestobjectbuilder.class" ).
  `static RequestObjectBuilder`
  `getNotEncryptedRequestObjectBuilder()`
  Retrieve an instance of a `IrisCareNetNotEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property "iriscarenet.notencryptedrequestobjectbuilder.class" ).

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getEncryptedRequestObjectBuilder

    public static RequestObjectBuilder getEncryptedRequestObjectBuilder() throws TechnicalConnectorException
    Retrieve an instance of a `IrisCareNetEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property "iriscarenet.encryptedrequestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl.regional.IrisCareNetEncryptedRequestObjectBuilder"
    Returns:
      `EncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### getNotEncryptedRequestObjectBuilder

    public static RequestObjectBuilder getNotEncryptedRequestObjectBuilder() throws TechnicalConnectorException
    Retrieve an instance of a `IrisCareNetNotEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property "iriscarenet.notencryptedrequestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl.regional.IrisCareNetNotEncryptedRequestObjectBuilder"
    Returns:
      `NotEncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
    Throws:
      `TechnicalConnectorException` - the technical connector exception